Download it now!
Bug 122563 - FILEOPEN DOCX Embededd OLE object (XLSX spreadsheet) becomes small in Writer after a roundtrip between LO Writer and MS Word
Summary: FILEOPEN DOCX Embededd OLE object (XLSX spreadsheet) becomes small in Writer ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2019-01-08 14:59 UTC by NISZ LibreOffice Team
Modified: 2019-01-28 14:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The embedded OLE object (XLSX file) (14.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-01-08 15:02 UTC, NISZ LibreOffice Team
Details
The original file in ODT format (15.36 KB, application/binary)
2019-01-08 15:02 UTC, NISZ LibreOffice Team
Details
he original file exported with LO Writer as DOCX (19.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-01-08 15:02 UTC, NISZ LibreOffice Team
Details
The file exported with MS Word (this is the one with the issue) (24.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-01-08 15:03 UTC, NISZ LibreOffice Team
Details
A screenshot showcasing the issue (145.48 KB, image/png)
2019-01-08 15:03 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-01-08 14:59:03 UTC
Description:
The embedded OLE object (XLSX spreadsheet created with Calc) becomes small in DOCX documents created with LibreOffice Writer when the file is saved as DOCX in Writer, then saved in Microsoft Word, then reopened again in Writer.

Steps to Reproduce:
Steps to reproduce:
    1. Create a simple table in LibreOffice Calc and save it as XLSX.
    2. Create a new document in LibreOffice Writer.
    3. Insert the XLSX table as OLE object (Insert -> Object -> OLE Object -> Create from file).
    4. Save the document both as ODT and DOCX (Use Word format).
    5. Open the DOCX file with Microsoft Word.
    6. Save the document with a new filename as DOCX.
    7. Open the newly saved DOCX file with Writer.
    8. Compare the original ODT file and the MS Word exported DOCX file in Writer.
    9. Notice, that the embedded Calc table becomes small.

Actual Results:
The Embedded XLSX spreadsheet becomes small after exported in Word and then reopened in Writer.

Expected Results:
The Embedded XLSX spreadsheet should keep its original size.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-01-08 15:02:04 UTC
Created attachment 148131 [details]
The embedded OLE object (XLSX file)
Comment 2 NISZ LibreOffice Team 2019-01-08 15:02:23 UTC
Created attachment 148132 [details]
The original file in ODT format
Comment 3 NISZ LibreOffice Team 2019-01-08 15:02:47 UTC
Created attachment 148133 [details]
he original file exported with LO Writer as DOCX
Comment 4 NISZ LibreOffice Team 2019-01-08 15:03:08 UTC
Created attachment 148134 [details]
The file exported with MS Word (this is the one with the issue)
Comment 5 NISZ LibreOffice Team 2019-01-08 15:03:28 UTC
Created attachment 148135 [details]
A screenshot showcasing the issue
Comment 6 Durgapriyanka 2019-01-08 18:43:18 UTC
Thank you for reporting the bug. I can confirm this bug in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 7 Xisco Faulí 2019-01-09 15:01:35 UTC
it seems more like a FILEOPEN issue.

also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default;
Comment 8 Commit Notification 2019-01-10 16:28:29 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bdb0177b550d27a541cdfc0668714b2e9ac28540%5E%21

tdf#122563 DOCX import: fix OLE size after roundtrip

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-01-28 14:01:37 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d55cc244aba92f4e9fbdd7d51c65112075c6e8a8%5E%21

tdf#122563 DOCX import: fix OLE size after roundtrip

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.